import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ButtonType } from '@gouvfr-anct/mediation-numerique/shared';
import { StructureWithOwners } from '../models/structureWithOwners.model';
import { User } from '../models/user.model';
import { StructureService } from '../services/structure.service';
import { ProfileService } from './services/profile.service';
import { Utils } from '../utils/utils';

@Component({
  selector: 'app-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.scss'],
})
export class ProfileComponent implements OnInit {
  public userProfile: User;
  public structures: StructureWithOwners[] = [];
  public buttonTypeEnum = ButtonType;

  constructor(
    private profileService: ProfileService,
    private structureService: StructureService,
    private router: Router,
    public utils: Utils
  ) {}

  ngOnInit(): void {
    this.profileService.getProfile().then((profile: User) => {
      this.userProfile = profile;
      this.structures = [];
      profile.structuresLink.forEach((structureId) => {
        this.structureService.getStructureWithOwners(structureId, null).subscribe((s) => {
          this.structures.push(s);
        });
      });
    });
  }

  public addStructure(): void {
    this.router.navigateByUrl('/form/structure');
  }
}
