import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FlexLayoutModule } from '@angular/flex-layout';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import {
  ButtonModule,
  DayModule,
  ModalModule,
  PhoneModule,
  SvgIconModule,
  TextInputModalModule,
} from '@gouvfr-anct/mediation-numerique/shared';
import { SharedComponents } from './components';
import { AddressAutocompleteComponent } from './components/address-autocomplete/address-autocomplete.component';
import { HourPickerComponent } from './components/hour-picker/hour-picker.component';
import { SharedPipes } from './pipes';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    RouterModule,
    FlexLayoutModule,
    ReactiveFormsModule,
    ButtonModule,
    SvgIconModule,
    TextInputModalModule,
    ModalModule,
    DayModule,
    PhoneModule,
  ],
  declarations: [...SharedPipes, ...SharedComponents, AddressAutocompleteComponent, HourPickerComponent],
  exports: [
    ...SharedPipes,
    ...SharedComponents,
    CommonModule,
    RouterModule,
    FlexLayoutModule,
    FormsModule,
    ReactiveFormsModule,
    ButtonModule,
    ButtonModule,
    SvgIconModule,
    TextInputModalModule,
    ModalModule,
    DayModule,
    PhoneModule,
  ],
})
export class SharedModule {}
